Skip to main content
GET
/
investors
/
{investorId}
Get investor by ID
curl --request GET \
  --url https://app.tryspecter.com/api/v1/investors/{investorId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.tryspecter.com/api/v1/investors/{investorId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.tryspecter.com/api/v1/investors/{investorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "investor_id": "inv_609dba55408c4490fe58cf8e",
  "strategic_signal_ids": [
    "ddea4a84-ffdc-459d-bb10-3d7db9c6c193"
  ],
  "investor_name": "Bessemer Venture Partners",
  "investor_types": [
    "venture_capital"
  ],
  "investment_stage": [
    "Series A"
  ],
  "industry_target": [
    "Software"
  ],
  "specter_industry_target": [
    "Enterprise Software"
  ],
  "specter_tech_verticals_target": [
    "AI / Machine Learning"
  ],
  "fund_details": [
    {
      "name": "BVP Fund XII",
      "announced_on": "2023-04-12",
      "raised_amount_usd": "3850000000"
    }
  ],
  "portfolio_companies": [
    "5e3bbf6b00c8f4c966a1e53d"
  ],
  "person_id": "5e3b9281137e998b5aea67f4",
  "company_id": "5e3b9281137e998b5aea67f4",
  "investor_rank": 43,
  "company_size": "201-500",
  "operating_status": "active",
  "domain": "bvp.com",
  "hq_location": "San Francisco, California, United States, North America",
  "founded_year": 1911,
  "linkedin_url": "linkedin.com/company/bessemer-venture-partners",
  "twitter_url": "x.com/BessemerVP",
  "description": "Bessemer Venture Partners is a leading venture capital firm that partners with entrepreneurs from their early days through every stage of growth.",
  "number_of_exits": 325,
  "number_of_lead_investments": 574,
  "number_of_investments": 1581,
  "number_of_funds": 15
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "OUT_OF_CREDITS",
"message": "<string>"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

investorId
string
required

The ID of the investor being requested (e.g. inv_5f3a2b1c4d5e6f7a8b9c0d1e).

Response

The investor.

investor_id
string
required

The Specter ID for this investor, can be used in other endpoints.

Example:

"inv_609dba55408c4490fe58cf8e"

strategic_signal_ids
string<uuid>[]
required

All Interest Signals IDs associated with this investor. Empty when none are active.

investor_name
string
required

The legal or brand name of the investor or investment firm.

Example:

"Bessemer Venture Partners"

investor_types
string[]
required

The investor types this investor falls under, as lowercase snake_case (e.g. venture_capital, angel_group).

investment_stage
string[]
required

Typical funding round stages in which the investor participates (e.g., Seed, Series A).

industry_target
string[]
required

Industries or verticals in which the investor typically specializes.

specter_industry_target
string[]
required

Only top level. Classifies companies by their economic activity — the market they serve and the products or services they deliver. E.g. Construction, Utilities, Wholesale. There is one industry per company, with up to three levels.

specter_tech_verticals_target
string[]
required

Only top level. Classifies companies by the technology domain they operate in — the technical capability or space they're building around. E.g. AI & Machine Learning, Cybersecurity, FinTech. There can be up to 5 tech verticals per company, with 2 levels each.

fund_details
InvestorFund · object[]
required

The named funds this investor has raised, with announce date and amount when available.

portfolio_companies
string[]
required

Specter company IDs for portfolio companies of this investor.

person_id
string | null

The Specter person ID this investor is linked to, when the investor is an individual (e.g. an angel). null for firms.

Example:

"5e3b9281137e998b5aea67f4"

company_id
string | null

The Specter company ID of the company associated with this investor, when applicable (e.g. the firm behind a VC fund).

Example:

"5e3b9281137e998b5aea67f4"

investor_rank
integer | null

The Specter rank for this investor.

Example:

43

company_size
string | null

The size bracket of the investor's organization (employee count band).

Example:

"201-500"

operating_status
string | null

The operating status of the investor (e.g. active, closed).

Example:

"active"

domain
string | null

The investor's primary web domain.

Example:

"bvp.com"

hq_location
string | null

The investor's headquarters location.

Example:

"San Francisco, California, United States, North America"

founded_year
integer | null

The year the investor was founded.

Example:

1911

linkedin_url
string | null

The investor's LinkedIn profile URL.

Example:

"linkedin.com/company/bessemer-venture-partners"

twitter_url
string | null

The investor's Twitter / X profile URL.

Example:

"x.com/BessemerVP"

description
string | null

Brief textual overview of the investor’s activities, history, or focus.

Example:

"Bessemer Venture Partners is a leading venture capital firm that partners with entrepreneurs from their early days through every stage of growth."

number_of_exits
integer | null

Total number of portfolio company exits attributed to this investor.

Example:

325

number_of_lead_investments
integer | null

Total number of investments where the investor led the round.

Example:

574

number_of_investments
integer | null

Total number of investments made by the investor.

Example:

1581

number_of_funds
integer | null

Total number of separate funds managed or raised by the firm.

Example:

15